<%@page contentType="text/html; charset=UTF-8"%>
<%@page import="com.csc.library.entry.HelpEntry,com.csc.library.system.*"%>
<jsp:useBean id="AS03HELP_2" class="com.csc.library.system.Task" scope="page" />
<%AS03HELP_2.setChannel(request, response);%>
<%HelpEntry screen = (HelpEntry) AS03HELP_2.process("HelpEntry","AS03HELP_2");%>
<%screen.process();
%>
<html>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link href="../CSS/TISCO.css" rel="stylesheet" type="text/css">
  <link href="../CSS/bootstrap.css" rel="stylesheet"  type="text/css">
  <link href="../CSS/bootstrap_csc_backend.css" rel="stylesheet"  type="text/css">
  <script type="text/javascript" src="../JS/jquery-2.1.3.min.js"></script>
  <script type='text/javascript' src="../JS/bootstrap.js"></script>
<script  language="JavaScript" src="../JS/SCREEN.js"></script>

<script type='text/javascript' src='../JS/ICONSMENU.js'></script>
<script language='javascript' src='../JS/HOTKEY.js'></script>
<script language='javascript'>setLang('<%=screen.getUProfile().get("lang")%>');</script>

<script language="JavaScript" type="text/JavaScript">
<!--
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}
//---------------------------------- Set myArray----------------------
 function countChecked(){
	var count=0;
			with(document.cscform){
				 if((typeof _selectit.length)!="undefined"){					
							for(i=0;i<_selectit.length;i++){
									if(_selectit[i].checked){
										  count++;
									}
							}
					}else{
								count=1;
					}
		}
		return count;
}

function addlist(){
	    var cCount=countChecked();
		var j=0;
			with(document.cscform){
	        newDatalist  = new Array(cCount);
				 if((typeof _selectit.length)!="undefined"){				
						for(i=0;i<_selectit.length;i++){
								if(_selectit[i].checked){
										newDatalist[ j++ ] = new Option( _selectit[i].value+"            "+__myvalue[i].value, _selectit[i].value );
								}
						}
					}else{
										newDatalist[ j++ ] = new Option( _selectit.value+"            "+__myvalue.value, _selectit.value );
					}
			}
			//alert(newDatalist);
			return newDatalist;			
	}
			
	function addParen(){
						 if(window.opener.findKey(addlist(),window.opener.getMyChildoption())){
									window.focus();
						  }else{
								  window.opener.addOption(addlist());
								  window.close();
						  }
	}

//-----------------------------------------------------------------
function setClose(){ //butoon close
	window.close();
}

function setSelectAll(){ //button selectall
	with(document.forms[0]){
		for(i=0;i<_selectit.length;i++){
			_selectit[i].checked = true;
		}
	}
}

function setDeselectAll(){ //button deselect
	with(document.forms[0]){
		for(i=0;i<_selectit.length;i++){
			_selectit[i].checked = false;
		}
	}
}

//-->
</script>

</head>
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onLoad="MM_preloadImages('../IMAGES/BUTTON/SWAP/SEARCH_SWAP20.gif')">
<form name="cscform" method="post" action="#">


<!----------BEGIN CSC INITIAL ZONE ------------------------>

<%=screen.InitialVariable()%>

<!----------END CSC INITIAL ZONE -------------------------->

<input type="hidden" name="__cmd" value="">
<input type="hidden" name="__help" value="">
<input type="hidden" name="__goPage" value="">
  <input type="hidden" name="__pageCall" value="<%=request.getParameter("__screen")%>">
  <input type="hidden" name="__language" value ="<%=screen.getUProfile().get("lang")%>"> 
<br>
  <div align="center">
    <table  cellpadding="0"  cellspacing="0">
      <tr > 
        <td  class="header">AS03HELP_2,
          <script language="javascript">swapLang('Assess Group Table Detail');</script>
        &nbsp;</td></tr>
      <tr > 
        <td  colspan="2"> 
          <div align="center"> 
            <table  cellpadding="0" cellspacing="0" >
              <tr> 
                <td width="70">&nbsp;</td>
                <td width="570">&nbsp;</td>
              </tr>
              <tr> 
                <td><div align="left">&nbsp; 
                    <script language="javascript">swapLang('Order By');</script>
                  </div></td>
                <td><%=screen.getTagOrder()%></td>
              </tr>
              <tr> 
                <td><div align="left">&nbsp; 
                    <script language="javascript">swapLang('Search By');</script>
                  </div></td>
                <td><%=screen.getTagSearchBy()%><%=screen.getTagConSearch()%> 
                  <%=screen.getTagValueSearch()%> <a href="javascript:search();" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('Image4','','../IMAGES/BUTTON/SWAP/SEARCH_SWAP20.gif',1)"><img src="../IMAGES/BUTTON/MAIN/SEARCH20.gif" alt="ค้นหา" name="Image4" width="20" height="20" border="0" align="absmiddle"></a></td>
              </tr>
              <tr> 
                <td colspan="2"  class="blankspace"></td>
              </tr>
              <tr> 
                <td colspan="2"><div align="right"><strong><%=screen.getPageTag()%>&nbsp;</strong></div></td>
              </tr>
              <tr > 
                <td colspan="2" bgcolor="#FFFFFF"  class="columnlabel"><table width="100%" border="0" cellpadding="3" cellspacing="1" bgcolor="#666666">
                    <tr> 
                      <td class="title1" width="84"><div align="center">
                          <script language="javascript">swapLang('Select');</script>
                        </div></td>
                      <td class="title1" width="84"><div align="center">
                          <script language="javascript">swapLang('Code');</script>
                        </div></td>
                      <td class="title1" width="485"><div align="center">
                          <script language="javascript">swapLang('Description');</script>
                        </div></td>
                    </tr>
                    <%
					while(screen.nextRec()){
					%>
                    <tr>
                      <td><div align="center"> 
                          <input name="_selectit" type="checkbox" value="<%=screen.getString("asgid")%>" >
                          <input name="__myvalue" type="hidden" value="<%=screen.getString("tdesc")%>" >
                        </div></td>
                      <td><div align="center"><%=screen.getString("asgid")%></div></td>
                      <td><%=screen.getString("tdesc")%></td>
                    </tr>
                    <%}%>
                  </table></td>
              </tr>
              <tr > 
                <td colspan="2" class="blankspace">&nbsp;</td>
              </tr>
            
                <td  class="buttonline" colspan="7"><div align="center">
                  <button type="button" class="btn btn-primary width100" swlang code="SW013163" onClick="setSelectAll();">Select All</button>&nbsp;
                  <button type="button" class="btn btn-primary width100" swlang code="SW013164" onClick="setDeselectAll();">Deselect All</button>&nbsp;
                  <button type="button" class="btn btn-primary width100" swlang code="SW013165" onClick="addParen();">Add</button>&nbsp;
                  <button type="button" class="btn btn-primary width100" swlang code="SW006927" onClick="setClose();">CANCEL</button>
                </div>
                </td>
              </tr>
              <tr > 
                <td colspan="2" class="blankspace">&nbsp;</td>
              </tr>
            </table>
          </div></td>
      </tr>
      <tr bordercolor="0069B3"> 
        <td  class="bottom"></td>
      </tr>
    </table>
  </div>
</form>
</body>
</html>
